% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{dens_kcv}
\alias{dens_kcv}
\title{Compute the KCV of the density evaluations for fixed values of the hyperparameters}
\usage{
dens_kcv(data, priors, coords, hyperpar, K)
}
\arguments{
\item{data}{\link{list} two elements: first named \eqn{Y}, second named \eqn{X}}

\item{priors}{\link{list} priors: named \eqn{\mu_b},\eqn{V_b},\eqn{a},\eqn{b}}

\item{coords}{\link{matrix} sample coordinates for X and Y}

\item{hyperpar}{\link{list} two elemets: first named \eqn{\delta}, second named \eqn{\phi}}

\item{K}{\link{integer} number of folds}
}
\value{
\link{vector} posterior predictive density evaluations
}
\description{
Compute the KCV of the density evaluations for fixed values of the hyperparameters
}
